import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary: Color(0xFF9C432E),
  onPrimary: Color(0xFFFFFFFF),
  primaryContainer: Color(0xFFFFDAD2),
  onPrimaryContainer: Color(0xFF3D0700),
  secondary: Color(0xFF815500),
  onSecondary: Color(0xFFFFFFFF),
  secondaryContainer: Color(0xFFFFDDB2),
  onSecondaryContainer: Color(0xFF291800),
  tertiary: Color(0xFF855300),
  onTertiary: Color(0xFFFFFFFF),
  tertiaryContainer: Color(0xFFFFDDB8),
  onTertiaryContainer: Color(0xFF2A1700),
  error: Color(0xFFBA1A1A),
  errorContainer: Color(0xFFFFDAD6),
  onError: Color(0xFFFFFFFF),
  onErrorContainer: Color(0xFF410002),
  background: Color(0xFFFFFBFF),
  onBackground: Color(0xFF201A19),
  surface: Color(0xFFFFFBFF),
  onSurface: Color(0xFF201A19),
  surfaceVariant: Color(0xFFF5DDD8),
  onSurfaceVariant: Color(0xFF534340),
  outline: Color(0xFF85736F),
  onInverseSurface: Color(0xFFFBEEEB),
  inverseSurface: Color(0xFF362F2D),
  inversePrimary: Color(0xFFFFB4A3),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFF9C432E),
  outlineVariant: Color(0xFFD8C2BD),
  scrim: Color(0xFF000000),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFFFFB4A3),
  onPrimary: Color(0xFF5E1606),
  primaryContainer: Color(0xFF7D2C19),
  onPrimaryContainer: Color(0xFFFFDAD2),
  secondary: Color(0xFFFFB94D),
  onSecondary: Color(0xFF442B00),
  secondaryContainer: Color(0xFF624000),
  onSecondaryContainer: Color(0xFFFFDDB2),
  tertiary: Color(0xFFFFB960),
  onTertiary: Color(0xFF472A00),
  tertiaryContainer: Color(0xFF653E00),
  onTertiaryContainer: Color(0xFFFFDDB8),
  error: Color(0xFFFFB4AB),
  errorContainer: Color(0xFF93000A),
  onError: Color(0xFF690005),
  onErrorContainer: Color(0xFFFFDAD6),
  background: Color(0xFF201A19),
  onBackground: Color(0xFFEDE0DD),
  surface: Color(0xFF201A19),
  onSurface: Color(0xFFEDE0DD),
  surfaceVariant: Color(0xFF534340),
  onSurfaceVariant: Color(0xFFD8C2BD),
  outline: Color(0xFFA08C88),
  onInverseSurface: Color(0xFF201A19),
  inverseSurface: Color(0xFFEDE0DD),
  inversePrimary: Color(0xFF9C432E),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFFFFB4A3),
  outlineVariant: Color(0xFF534340),
  scrim: Color(0xFF000000),
);
